# Shape Red

A shape versus DOM game meant to look similar in style to the first game in a popular franchise, but much simplified to meet project requirements.

Battle as, and against, one of three types of shapes, with each having a unique strength and weakness.

Currently missing most functionality like selecting a name, shape type, and multiple rounds of battle.

# Contact

Joseph Carpinelli carpinelli.dev@protonmail.ch.

# Building

Download and run in any modern web browser, or use this [GitHub Pages Link](https://josephcarpinelli.github.io/Shape-Red/).

# Intended Updates

## Monsters
* Critical Hits
* Attack Types (Primitive form of moves)
## Screens
* Sprite Animations
* Character Selection Screen
* Stats Review Screen
## Style
* Title screen should have a background sound
* Title screen should have a background
* Buttons should look like text with an error next to active selection

# Contributing

This is mostly a class project, but any contributions are welcome and appreciated under individualized forks, provided they align with the licenses and goals of the project. Forking or copying is encouraged, just ensure to uphold the licenses terms.

# License

This project is licensed under the GPL 3.0 license. Unless any libraries used require otherwise, all contributions are made under the GNU General Public License v3. See the LICENSE. In cases where a library is used that requires a different or additional license, and that license is not included, kindly inform the email provided in the "Contact" section. Corrections will be made ASAP.

You can be released from the requirements of the above license by purchasing a commercial license. Buying such a license is mandatory if you want to modify or otherwise use the software for commercial activities involving the software without disclosing the source code of your own applications. To purchase a commercial license, send an email to carpinelli.dev@protonmail.ch.

